From 8a2e1006b3b272126332aa064f3ad95387129544 Mon Sep 17 00:00:00 2001
From: Biswakalyan Bhuyan <biswa@surgot.in>
Date: Thu, 13 Feb 2025 14:13:49 +0530
Subject: new dot files

---
 .../oh-my-zsh/plugins/macports/macports.plugin.zsh | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 .config/zsh/oh-my-zsh/plugins/macports/macports.plugin.zsh

(limited to '.config/zsh/oh-my-zsh/plugins/macports/macports.plugin.zsh')

diff --git a/.config/zsh/oh-my-zsh/plugins/macports/macports.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/macports/macports.plugin.zsh
new file mode 100644
index 0000000..d438057
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/macports/macports.plugin.zsh
@@ -0,0 +1,44 @@
+alias pc="sudo port clean --all installed"
+alias pi="sudo port install"
+alias pli="port livecheck installed"
+alias plm="port-livecheck-maintainer"
+alias psu="sudo port selfupdate"
+alias puni="sudo port uninstall inactive"
+alias puo="sudo port upgrade outdated"
+alias pup="sudo port selfupdate && sudo port upgrade outdated"
+
+port-livecheck-maintainer() {
+  (( ${+commands[port]} == 0 )) || {
+    print -- "port: not found" >&2
+    return 1
+  }
+
+  local -a help_flag
+  zparseopts -D -E h=help_flag -help=help_flag
+
+  (( ${#help_flag} )) && {
+    cat << EOF >&2
+Usage:
+  port-livecheck-maintainer
+  port-livecheck-maintainer (maintainer)+
+  port-livecheck-maintainer -h|--help
+
+Check
+
+Options:
+  maintainer  maintainer id
+  -h          print this help message and exit
+EOF
+    return 1
+  }
+
+  if (( $# == 0 )); then
+    local default=${MACPORTS_MAINTAINER:-${USER}}
+    port livecheck maintainer:${default}
+    return $?
+  fi
+
+  for i in $@; do
+    port livecheck maintainer:${i}
+  done
+}
-- 
cgit v1.2.3-59-g8ed1b